allow install script to print error on failed binary download (#11335)

Signed-off-by: Thomas Gleason <tommatime@proton.me>
pull/11358/head
Thomas Gleason 2024-11-21 10:27:29 -07:00 committed by GitHub
parent 4fef655219
commit b83f80372a
No known key found for this signature in database
GPG Key ID: B5690EEEBB952194
2 changed files with 15 additions and 3 deletions

View File

@ -423,22 +423,34 @@ get_k3s_selinux_version() {
# --- download from github url ---
download() {
[ $# -eq 2 ] || fatal 'download needs exactly 2 arguments'
# Disable exit-on-error so we can do custom error messages on failure
set +e
# Default to a failure status
status=1
case $DOWNLOADER in
curl)
curl -o $1 -sfL $2
status=$?
;;
wget)
wget -qO $1 $2
status=$?
;;
*)
# Enable exit-on-error for fatal to execute
set -e
fatal "Incorrect executable '$DOWNLOADER'"
;;
esac
# Abort if download command failed
[ $? -eq 0 ] || fatal 'Download failed'
# Re-enable exit-on-error
set -e
# Abort if download command failed
[ $status -eq 0 ] || fatal 'Download failed'
}
# --- download hash from github url ---

View File

@ -1 +1 @@
afacec791f66d92cec11880479c42b9e261912e0d97d3e3a3de21315b6ac49f3 install.sh
f49035378daf603b0dbd458efb4d50608d3499aab3b2e724384dfb5801153669 install.sh